Bug 230134 - devel/py-openstacksdk: Update 0.11.3 => 0.17.0
Summary: devel/py-openstacksdk: Update 0.11.3 => 0.17.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-29 04:49 UTC by Nathan
Modified: 2019-02-15 21:06 UTC (History)
2 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
Update (967 bytes, patch)
2018-07-29 04:49 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-07-29 04:49:05 UTC
Created attachment 195577 [details]
Update
Comment 1 Nathan 2018-07-29 14:12:42 UTC
0.17.0¶
New Features¶

    Add a data parameter to openstack.connection.Connection.create_object so that data can be passed in directly instead of through a file.

    Added a create_directory_marker_object’ method to allow for easy creation of zero-byte ‘directory’ marker objects. These are not needed in most cases, but on some clouds they are used by Static Web and Web Listings in swift to facilitate directory traversal.

    Adds set_provision_state and wait_for_provision_state to openstack.baremetal.v1.Node.

    Adds node_set_provision_state and wait_for_nodes_provision_state to the baremetal Proxy.

    The node_set_provision_state call now supports provision states up to the Queens release.

    Add flag for disabling object checksum generation

Bug Fixes¶

    The v3password auth_type implies that the auth_url given is a versioned endpoint and so discovery is skipped for auth. Previously the auth_type for Vexxhost had been set to v3password due to v2 being no longer available to give better errors to users. The auth_url was unfortunately left unversioned, so authentication ceased working. The auth_url has been changed to the versioned endpoint.
Comment 2 commit-hook freebsd_committer 2019-01-11 13:20:34 UTC
A commit references this bug:

Author: miwi
Date: Fri Jan 11 13:19:44 UTC 2019
New revision: 489970
URL: https://svnweb.freebsd.org/changeset/ports/489970

Log:
  - Update to 0.17.0

  PR:		230134
  Submitted by:	ndowens@yahoo.com
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/devel/py-openstacksdk/Makefile
  head/devel/py-openstacksdk/distinfo